Skip to main content
GET
/
v1
/
interviews
/
{interview_id}
/
processes
/
{process_id}
Get Process Detail
curl --request GET \
  --url https://api.ontora.com/v1/interviews/{interview_id}/processes/{process_id} \
  --header 'Authorization: Bearer <token>'
{
  "process": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "slug": "<string>",
    "category": "<string>",
    "description": "<string>",
    "department_tags": [
      "<string>"
    ],
    "collaborator_count": 123,
    "step_count": 123,
    "pain_point_count": 123,
    "sort_order": 123
  },
  "objective": "<string>",
  "graph_json": {},
  "subprocesses": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "category": "<string>",
      "description": "<string>",
      "department_tags": [
        "<string>"
      ],
      "collaborator_count": 123,
      "step_count": 123,
      "pain_point_count": 123,
      "sort_order": 123
    }
  ],
  "steps": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "step_type": "<string>",
      "pain_points": [
        {
          "text": "<string>",
          "category": "<string>",
          "severity": "<string>",
          "quote": "<string>",
          "speaker": "<string>",
          "tools_mentioned": [
            "<string>"
          ]
        }
      ],
      "tools": [
        "<string>"
      ],
      "contributor_count": 123,
      "sort_order": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

interview_id
string<uuid>
required
process_id
string<uuid>
required

Response

Successful Response

process
ProcessSummaryOut · object
required
objective
string | null
required
graph_json
Graph Json · object
required
subprocesses
ProcessSummaryOut · object[]
required
steps
StepSummaryOut · object[]
required